
#language: ru

@SalesOfProducts

Функционал: 006. SalesOfProducts. Установка цен и фиксация скидок

Сценарий: 006.1. SalesOfProducts. Установка цен

	Дано Я подключаюсь под "Ценообразование"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.006. Реализация товаров"
	Дано я удаляю объекты "Документы.к2УстановкаЦенНоменклатуры" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'История изменения цен'
	Тогда открылось окно 'История изменения цен'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Установка цен (создание)'
	И Я добавляю вид цены "Базовый" в документ установка цен
	И Я добавляю вид цены "Базовый для зависимых" в документ установка цен
	И Я добавляю вид цены "Зависимый 1" в документ установка цен
	И Я добавляю вид цены "Зависимый 2" в документ установка цен
	И Я добавляю вид цены "Ашан" в документ установка цен
	И Я добавляю вид цены "Перекресток" в документ установка цен
	И Я добавляю вид цены "5ка" в документ установка цен
	И в поле 'от' я ввожу текст '01.08.2019'
	И в поле 'Комментарий' я ввожу текст 'Документ 1. Установка цен'
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Подобрать'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И Я подбираю номенклатуру "Сыр Костромской"
	И Я подбираю номенклатуру "Сыр Пошехонский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Установка цен (создание) *'
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_4" цену "100,00"
	И Я устанавливаю для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_4" цену "50,00"
	И Я устанавливаю для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_4" цену "250,00"
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_5" цену "100,00"
	И Я устанавливаю для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_5" цену "50,00"
	И Я устанавливаю для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_5" цену "250,00"
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_8" цену "100,00"
	И Я устанавливаю для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_8" цену "50,00"
	И Я устанавливаю для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_8" цену "250,00"
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_10" цену "200,00"
	И Я устанавливаю для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_10" цену "250,00"
	И Я устанавливаю для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_10" цену "350,00"
	И Я устанавливаю для номенклатуры "Сыр Адыгейский" и цены "ДеревоЦенНоваяЦена_9" цену "200,00"
	И Я устанавливаю для номенклатуры "Сыр Костромской" и цены "ДеревоЦенНоваяЦена_9" цену "250,00"
	И Я устанавливаю для номенклатуры "Сыр Пошехонский" и цены "ДеревоЦенНоваяЦена_9" цену "350,00"
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Выберите номенклатуру'
	И Я подбираю номенклатуру "Крылья куринные (подложка)"
	Тогда открылось окно 'Установка цен (создание) *'
	И Я устанавливаю для номенклатуры "Крылья куринные (подложка)" и цены "ДеревоЦенНоваяЦена_4" цену "200,00"
	И Я устанавливаю для номенклатуры "Крылья куринные (подложка)" и цены "ДеревоЦенНоваяЦена_5" цену "200,00"
	И Я устанавливаю для номенклатуры "Крылья куринные (подложка)" и цены "ДеревоЦенНоваяЦена_8" цену "200,00"
	И Я устанавливаю для номенклатуры "Крылья куринные (подложка)" и цены "ДеревоЦенНоваяЦена_9" цену "200,00"
	И Я устанавливаю для номенклатуры "Крылья куринные (подложка)" и цены "ДеревоЦенНоваяЦена_10" цену "200,00"
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка цен (создание) *' в течение 20 секунд
	Тогда открылось окно 'История изменения цен'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Установка цен (создание)' 
	И в поле 'от' я ввожу текст '1.07.2019'
	И Я добавляю вид цены "Базовый" в документ установка цен
	И я нажимаю на кнопку 'Перейти к установке цен'
	И в таблице "ДеревоЦен" я нажимаю на кнопку 'Добавить'
	Тогда открылось окно 'Выберите номенклатуру'
	И Я подбираю номенклатуру "Сыр Адыгейский"
	Тогда открылось окно 'Установка цен (создание) *'
	И в таблице "ДеревоЦен" я перехожу к строке:
		| 'Номенклатура/Характеристика' |
		| 'Сыр Адыгейский'              |
	И в таблице "ДеревоЦен" в поле 'Новая цена' я ввожу текст '291,28'
	И в таблице "ДеревоЦен" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Установка цен (создание) *' в течение 20 секунд
	Тогда открылось окно 'История изменения цен'
	И Я закрываю окно 'История изменения цен'

Сценарий: 006.2. SalesOfProducts. Фиксация скидок, наценок
	
	Дано я удаляю объекты "Документы.к2СкидкаНаценка" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Скидки (наценки)'
	Тогда открылось окно 'Скидки (наценки)'
	И Я начинаю создавать скидку "Скидка для Обычного покупателя на Адыгейский сыр"
	И я нажимаю кнопку выбора у поля "Действует"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '1.08.2019'
	И в поле 'DateEnd' я ввожу текст '31.08.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я меняю значение переключателя 'Тип' на 'Процентом на номенклатуру'
	И из выпадающего списка "Согласование" я выбираю точное значение 'Согласован'
	И Я подбираю соглашение "Соглашение для Обычного покупателя" в статусе "Действует"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыПодобратьНоменклатуру'
	Тогда открылось окно 'Подбор номенклатуры'
	И в таблице "СписокИерархия" я перехожу к строке:
		| 'Ссылка' |
		| 'Сыры'   |
	И Я подбираю номенклатуру "Сыр Адыгейский"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'   | 
		| 'Сыр Адыгейский' |
	И в таблице "Товары" в поле с именем 'ТоварыПроцентСкидки' я ввожу текст '3,33'	
	И Я заканчиваю создавать скидку
	И Я начинаю создавать скидку "Скидка для Обычного покупателя на категорию сыров"
	И я нажимаю кнопку выбора у поля "Действует"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '1.08.2019'
	И в поле 'DateEnd' я ввожу текст '31.08.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я меняю значение переключателя 'Тип' на 'Процентом на товарную категорию'
	И из выпадающего списка "Согласование" я выбираю точное значение 'Согласован'
	И Я подбираю соглашение "Соглашение для Обычного покупателя" в статусе "Действует"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я перехожу к закладке "Товарные категории"
	И Я устанавливаю процент скидки "2,59" на товарную категорию "Мягкие сыры"
	И Я устанавливаю процент скидки "2,59" на товарную категорию "Твердые сыры"
	И Я устанавливаю процент скидки "2,59" на товарную категорию "Полутвердые сыры"
	И Я заканчиваю создавать скидку
	И Я начинаю создавать скидку "Скидка для Обычного покупателя на Костромской сыр"
	И я нажимаю кнопку выбора у поля "Действует"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '1.08.2019'
	И в поле 'DateEnd' я ввожу текст '31.08.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я меняю значение переключателя 'Тип' на 'Фиксированная цена'
	И из выпадающего списка "Согласование" я выбираю точное значение 'Согласован'
	И Я подбираю соглашение "Соглашение для Обычного покупателя" в статусе "Действует"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыПодобратьНоменклатуру'
	Тогда открылось окно 'Подбор номенклатуры'
	И Я подбираю номенклатуру "Сыр Костромской"
	И я нажимаю на кнопку "Перенести"
	Тогда открылось окно 'Скидка (наценка) (создание) *'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'    | 
		| 'Сыр Костромской' | 
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '40,00'
	И в таблице "Товары" я завершаю редактирование строки
	И Я заканчиваю создавать скидку
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                                     | 
		| 'Скидка для Обычного покупателя на Адыгейский сыр' |
	И я нажимаю на кнопку с именем 'ФормаСкопировать'
	И я нажимаю кнопку выбора у поля "Действует"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '19.08.2019'
	И в поле 'DateEnd' я ввожу текст '31.08.2019'
	И я нажимаю на кнопку 'Выбрать'
	И из выпадающего списка "Согласование" я выбираю точное значение 'Согласован'
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Товары" я активизирую поле с именем "ТоварыПроцентСкидки"
	И в таблице "Товары" в поле с именем 'ТоварыПроцентСкидки' я ввожу текст '13,33'
	И Я заканчиваю создавать скидку
	И Я закрываю окно 'Скидки (наценки)'

Сценарий: 006.3. SalesOfProducts. Завершение

	И я закрываю сеанс TESTCLIENT